Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmProblem_s Struct Reference

`#include <rpmps.h>`

## Data Fields
char * | pkgNEVR
char * | altNEVR
fnpyKey | key
rpmProblemType | type
int | ignoreProblem
char * | str1
unsigned long | ulong1

## Field Documentation

char* rpmProblem_s::altNEVR

| Definition at line 48 of file rpmps.h. Referenced by rpmProblemString, rpmpsAppend, rpmpsFree, rpmts_Check, and verifyDependencies.

int rpmProblem_s::ignoreProblem

| Definition at line 52 of file rpmps.h. Referenced by rpmpsAppend, rpmpsPrint, and rpmpsTrim.

fnpyKey rpmProblem_s::key

| Definition at line 50 of file rpmps.h. Referenced by rpmpsAppend, rpmpsTrim, and rpmts_Check.

char* rpmProblem_s::pkgNEVR

| Definition at line 46 of file rpmps.h. Referenced by rpmProblemString, rpmpsAppend, rpmpsFree, rpmpsNumProblems, rpmts_Check, and verifyDependencies.

char* rpmProblem_s::str1

| Definition at line 54 of file rpmps.h. Referenced by rpmProblemString, rpmpsAppend, rpmpsCreate, rpmpsFree, rpmpsTrim, and rpmts_Run.

rpmProblemType rpmProblem_s::type

| Definition at line 51 of file rpmps.h. Referenced by rpmProblemString, rpmpsAppend, rpmpsTrim, and rpmts_Run.

unsigned long rpmProblem_s::ulong1

| Definition at line 55 of file rpmps.h. Referenced by rpmProblemString, rpmpsAppend, and rpmts_Run.

The documentation for this struct was generated from the following file:

- lib/rpmps.h